Subject: Prehistoric UNIX licenses

From: Dion <[email-masked]>
Date: Wed, 26 Jun 96 17:20:21 PDT

SCO owns the licensing rights all versions of the UNIX system, or
so our legal folks tell me.  Now, of course there are many
derivative, licensed versions, and some of the holders of those
licenses have rights to sublicense.  In the case of BSD
enhancements, the Berkeley additions are owned by the Regents of
the University of California, and I believe the UCB license terms
are well known.

As for your friends who have rescued ancient PDP machines...  I
am confident that SCO would cheerfully encourage them to run UNIX
on these antiques without any payment to us.  I cant quite
officially give that permission myself, but I can speculate that
SCO certainly would not mind.

So go for it.  Does this help?
-Dion

Dion L. Johnson II  - The Santa Cruz Operation, Inc.              [email-masked]
SCO Product Manager - Development Systems and Various Other Stuff
400 Encinal St.  Santa Cruz, CA 95061    FAX: 408-427-5417  Voice: 408-427-7565

>	From: Warren Toomey <[email-masked]>
>	Newsgroups:
>	Subject: Who Owns 7th Edition Unix?
>	Date: 24 Jun 1996 05:17:14 GMT
>	
>	As a contact person for information about running UNIX on PDP-11s, I often
>	get asked for a copy of [6th, 7th, 2.9BSD, 2.11BSD] UNIX. All of the requests
>	I've had are from single-users who have saved a PDP-11 from the dumpster and
>	would like to run UNIX on it `just for the hell of it'. In every case, I have
>	sadly denied the request as they don't have a license. I assume that these
>	systems are still covered by licences etc., but this begs the questions
>	
>	    Who owns [6th, 7th, 2.9BSD, 2.11BSD] UNIX? and
>	    Who can sell licenses for these systems?
>	
>	I know that HP and SCO have bought the SysVR4 source code from Novell,
>	and that AT&T is definitely not the legal custodians of the PDP-11 versions,
>	but exactly who is?
>	
>	If anybody out there knows who at HP or SCO to talk to, I'd be very grateful
>	of an email reply with that information. This is all for historical
perversity,
>	and I can't imagine anybody doing any commercial work with UNIX on an -11 that
>	they can't do with Free/NetBSD or Linux on a 386.
>	
>	Many thanks, and see http://minnie.cs.adfa.oz.au/PUPS/ for more info.
>	
>	Cheers,
>		Warren Toomey	[email-masked]
>	
>	-- 
>	
>	Copyright (c) 1995, Warren Toomey. Microsoft Network is prohibited from
>	redistributing this work in any form, in whole or in part, without a license.
>	License to distribute this post is available to Microsoft for $1000.
>	Posting without permission constitutes an agreement to these terms.
>	
>	--- End of forwarded article from Warren Toomey <[email-masked]>
>

---

From: wkt (Warren Toomey)
Date: Thu, 27 Jun 1996 11:58:42 +1000 (EST)

> So go for it.  Does this help?

Dion, thanks very much for your email, in fact I'm ecstatic! I know this
could be a tricky legal minefield, so if possible could SCO draft a letter
(and run it past their lawyers) which sets out exactly what you said above.

In particular, you said that ``SCO would cheerfully encourage them to run UNIX
on these antiques without any payment to us''. Does this mean I can legally
distribute the source code to the PDP versions of UNIX, and to anybody? or
just to people who own PDP-11s. There are PDP-11 emulators available, so
it is conceivable that people who don't even have a real PDP-11 might like
to try UNIX out on these emulators. If to anybody, then I assume this means
the source is legally owned by SCO but freely distributable?

I really appreciate your offer of making these old versions of UNIX
available, but given the legal status of the code to this point, I would
like to cover myself with an officially blessed and signed document from SCO.
Let me know what you can do, and many many thanks again for this!

Cheers,
	Warren